import { axios } from '@/utils/request'

/**
 * 获取商品分类
 * @param {object} parameter 参数
 * @returns Axios Promise
 */
export function tree(parameter) {
    return axios({
        url: '/rooms/cesStockType/tree',
        method: 'get',
        params: parameter
    })
}

/**
 * 刪除商品分类
 * @param {*} parameter 
 * @returns 
 */
export function delTree(parameter){
    return axios({
        url: '/rooms/cesStockType/delete',
        method:'delete',
        params:parameter
    })
}

/**
 * 修改商品分类
 * @param {*} parameter 
 * @returns 
 */
export function editTree(parameter){
    return axios({
        url:'/rooms/cesStockType/modify',
        method:'put',
        params:parameter
    })
}

/**
 * 获取商品单位数据
 * @param {*} parameter 
 * @returns 
 */
export function getUnit(parameter){
    return axios({
        url:'/rooms/cesGoodsUnit/list',
        method:'get',
        params:parameter
    })
}

/**
 * 新增单位
 * @param {*} parameter 
 * @returns 
 */
export function addUnit(parameter){
    return axios({
        url:'/rooms/cesGoodsUnit/save',
        method:'post',
        data:parameter
    })
}

/**
 * 修改单位
 * @param {*} data 
 * @returns 
 */
export function editUnit(data){
    return axios({
        url:'/rooms/cesGoodsUnit/modify',
        method:'put',
        data:data
    })
}


/**
 * 删除商品单位
 * @param {*} id 
 * @returns 
 */
export function delUnit(hotelId){
    return axios({
        url:'/rooms/cesGoodsUnit/remove',
        method:'delete',
        params:hotelId
    })
}

/**
 * 批量删除
 * @param {*} data 
 * @returns 
 */
export function batchDelUnit(parameter){
    return axios({
        url:'/rooms/cesGoodsUnit/deleteBatch',
        method:'post',
        data:parameter
    })
}

/**
 * 商品批量删除
 * @param {*} parameter 
 * @returns 
 */
export function goodBatchDel(parameter){
    return axios({
        url:'/rooms/cesGoods/delBatch',
        method:'delete',
        data:parameter
    })
}

/**
 * 修改商品
 * @param {*} parameter 
 * @returns 
 */
export function editGood(parameter){
    return axios({
        url:'/rooms/cesGoods/modify',
        method:'put',
        data:parameter
    })
}

/**
 * 进退货
 * @param {*} parameter 
 * @returns 
 */
export function goodSet(parameter){
    return axios({
        url:"/rooms/cesGoodStockRecords/create",
        method:'post',
        data:parameter
    })
}


/**
 * 获取Postype列表
 * @param {*} parameter
 * @returns
 * */
export function getPosTypeList(parameter){
    return axios({
        url:'/pos/posType/list?pageNo=1&pageSize=10',
        method:'get',
        params:parameter
    })
}


/**
 * 获取库存商品分类
 */
export function getStockTypeList(parameter){
    return axios({
        url:'/kc/kcGoodsType/tree',
        method:'get',
        params:parameter
    })
}


/**
 * 库存页面删除商品分类
 */
export function delStockType(parameter){
    return axios({
        url:'/kc/kcGoodsType/delete',
        method:'delete',
        params:parameter
    })
}